extern crate clap;
extern crate tvrs;

use clap::{Arg, App};
use tvrs::MultiScreen;

fn main() {

    let matches = App::new("tvrs")
        .author("Thomas Forgione <thomas@forgione.fr>")
        .version("0.1.0")
        .arg(Arg::with_name("action")
             .help("Action to do")
             .takes_value(true)
             .value_name("ACTION")
             .possible_values(&["disable", "duplicate", "enable"])
             .required(true))
        .arg(Arg::with_name("position")
             .help("Specify the position of the second screen")
             .possible_values(&["left", "right", "above", "below"])
             .required_if("action", "enable"))
        .get_matches();

    let screens = MultiScreen::detect()
        .expect("An error happened while finding screens");


    let result = match matches.value_of("action") {
        Some("disable") => screens.only_primary(),
        Some("duplicate") => screens.duplicate(),
        Some("enable") => {
            // Can never fail, clap will crash before this
            let side = matches.value_of("position").unwrap().parse().unwrap();
            screens.two_screens(side)
        },
        // Can never happen, clap will crash before this
        _ => Ok(())
    };

    result.expect("An error happenned while executing the command");
}
